# Others

## Password

Configures a regular text input field that allows user input. Does NOT function similar to an HTML password field.

| Value Precision | is AllowMultiple respected? | Has validation? |
| --------------- | --------------------------- | --------------- |
| -               | No                          | Only on length  |

### Password Data Type Definition

```json
{
     "fields" : [
     	{
	   "fieldName": "Pass Word",
	   "label": "pass_word",
	   "required": false,
	   "maxLength": 10000,
	   "editable": true,
	   "dataType": "Password",
	   "allowMultiple": false,
	   "listOfValues": []
	},
        ...
    ]
}  
```

## Credit Card

Configures a regular text input field that allows user input. Does NOT validate a credit card number nor does it prohibit alpha character input.

| Value Precision | is AllowMultiple respected? | Has validation? |
| --------------- | --------------------------- | --------------- |
| -               | No                          | Only on length  |

### Credit Card Data Type Definition

```json
{
     "fields" : [
     	{
	   "fieldName": "Credit Card",
	   "label": "credit_card",
	   "required": false,
	   "maxLength": 10000,
	   "editable": true,
	   "dataType": "CreditCard",
	   "allowMultiple": false,
	   "listOfValues": []
	},
        ...
    ]
}  
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.rightsline.com/config/data-types/others.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
